お知らせ

  • 利用規約を守って投稿してください。また、よくある質問および投稿の手引きも参照してください。
  • メッセージの投稿にはアカウントが必要です。未登録の方は、ユーザ登録ページからアカウントを作成することができます。

#1 2021-11-19 17:09:52

desudesu3917
新しいメンバ
登録日: 2021-07-30

ubuntu18.04 にての sudo apt upgarede について

こんにちは
現在、ubuntu18.04 をBeelinkに導入して運用しています。
この時に sudo apt upgrade をした際に、

snapd.failure.service is a disabled or a static unit, not starting it.
snapd.snap-repair.service is a disabled or a static unit, not starting it.

と表示されこれ以上先に読み込むことが出来ません。
原因を探して先人様たちの投稿から見つけて実施したのですが
https://forums.ubuntulinux.jp/viewtopic.php?pid=120434
この質問内容と同じようだったので

jkbys による投稿:

こちらの問題、18.04 LTS日本語Remix向けのubuntu-defaults-jaパッケージに対策を入れましたので、現在は解消しているはずです。

問題が起きていた方は、「ソフトウェアの更新」アプリで更新処理をかけてください。
再起動後、端末で「snap list」を実行し、以下のように出力されれば問題ありません。
(各行のバージョンやリビジョンなどは実行時期により異なることがあります。)

コード:

$ snap list
Name                  Version                     Rev   Tracking   Publisher   Notes
core                  16-2.39.3                   7270  stable     canonical   core
core18                20190627                    1049  stable     canonical   base
gnome-3-26-1604       3.26.0.20190621             88    stable/…  canonical   -
gnome-3-28-1804       3.28.0-10-gaa70833.aa70833  59    stable     canonical   -
gnome-calculator      3.32.1                      406   stable     canonical   -
gnome-characters      v3.32.1+git2.3367201        288   stable     canonical   -
gnome-logs            3.32.0-4-ge8f3f37ca8        61    stable     canonical   -
gnome-system-monitor  3.32.1-2-ga7c19eaeff        91    stable     canonical   -
gtk-common-themes     0.1-16-g2287c87             1198  stable/…  canonical   -

「gnome-calculator」などが表示されない場合は、まだ治っていないので以下のコマンドでsnapdをインストールしなおしてください。

コード:

sudo apt purge snapd
sudo dpkg --configure -a
sudo apt update
sudo apt upgrade
sudo apt dist-upgrade
sudo apt install snapd gnome-software-plugin-snap
sudo snap install gtk-common-themes gnome-3-26-1604 gnome-calculator gnome-characters gnome-logs gnome-system-monitor

を実施しました。しかしその後もう1度sudo apt upgradeを行いました。
すると以下のようなエラーが起きました。

E: dpkg は中断されました。 問題を修正するには ‘sudo dpkg –configure -a’を手動で実行する必要があります。

このように
エラーが発生します。どうしたらいいのかわかりません。ご教授いただければ幸いです。

オフライン

 

Board footer

Powered by FluxBB